Page MenuHomePhabricator

fix apache monitoring in nagios
Closed, ResolvedPublic

Description

The apaches::monitoring class uses check_http_wikipedia which in turn use the hardcoded en.wikipedia.org URL. The end result is a 403 forbidden error since that virtual host is not available in beta.

Example of output from bot:

<labs-nagios-wm>
PROBLEM HTTP is now: WARNING on deployment-apache23 i-00000270 output: HTTP WARNING: HTTP/1.1 403 Forbidden - 366 bytes in 0.006 second response time

We need to alter apaches::monitoring to use a different monitor service for deployment-prep project, aka check_http_url.


Version: unspecified
Severity: normal

Details

Reference
bz37046

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
ResolvedNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:28 AM
bzimport set Reference to bz37046.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.May 23 2012, 9:24 AM

which service is supposed to be checked? Why standard check doesn't work. Can you write a nagios module to use?

(In reply to comment #1)

which service is supposed to be checked? Why standard check doesn't work. Can
you write a nagios module to use?

It is better to use the puppet classes since those are more maintained.

(In reply to comment #1)

which service is supposed to be checked?

That the apache serves a web page.

Why standard check doesn't work.

Reread my first comment. The check is hardcoded to use en.wikipedia.org which is not available on beta.

Can you write a nagios module to use?

There is already the check_http_url plugin.

I forgot to post the change number:

https://gerrit.wikimedia.org/r/8575/

Correct URL https://gerrit.wikimedia.org/r/8575

Asked Faidon or Daniel to review the change.

Placed a review there since May 25th.

Gerrit change 8575 was applied. It implements a new apache::monitoring::labs

had to fix the nagios name with https://gerrit.wikimedia.org/r/#/c/9391/

The apache check is still in warning (403) on nagios:

http://nagios.wmflabs.org/cgi-bin/nagios3/status.cgi?hostgroup=deployment-prep&style=detail

Maybe nagios need to be reloaded?

So nagios on labs does not use the puppet classes! According to Ryan, it does a semantic search, get back a json object for all instances, then based on which puppet classes are used, monitors are created.

hashar added a comment.Aug 2 2012, 8:05 AM

Closing this one, that was apparently fixed some weeks ago.